exception File Reference

Go to the source code of this file.

## Classes

class | std::bad_exception
class | std::exception

## Namespaces

namespace | __gnu_cxx
namespace | std

## Typedefs

typedef void(* | std::terminate_handler )()
typedef void(* | std::unexpected_handler )()

## Functions

void | __gnu_cxx::__verbose_terminate_handler ()
terminate_handler | std::set_terminate (terminate_handler) noexcept
unexpected_handler | std::set_unexpected (unexpected_handler) noexcept
void | std::terminate () noexcept __attribute__((__noreturn__))
bool | std::uncaught_exception () noexcept __attribute__((__pure__))
void | std::unexpected () __attribute__((__noreturn__))

## Detailed Description

This is a Standard C++ Library header.

Definition in file exception.